読者です 読者をやめる 読者になる 読者になる

金魚亭日常

読書,ガジェット,競技プログラミング

Windows の Ruby を 2.4 にした

Windows Ruby

RubyInstaller は開発が止まってしまったみたいなので,後継になるかもしれない Ruby Installer 2 を使用

github.com

現時点の最新版は 2.4.0-8

普通にインストーラを起動してインストール

MSYS2 は既にインストールしてあったものを使用(インストーラの最後の画面のチェックは外す).

インストール後に ridk コマンド(C:\Ruby\Ruby24-x64/bin/ridk.cmd)を使って,

ridk enable

すると,MSYS2 の設定がされた(C:\msys64 にある). そのあと,

pacman -Sy pacman
pacman -S base-devel mingw-w64-x86_64-toolchain # for 64 bit RubyInstaller

で必要なものをインストール

とりあえず,Jekyll は動かすことができた.

irb で日本語が使えないが,これはしょうがない.